curl --request GET \
--url https://ap.replace-me.example.com/statement/nexus/ids \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/statement/nexus/ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/statement/nexus/ids"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
123
]Search Nexus Statements IDs
Searches system for Nexus statement IDs. At least one search parameter is required.
Response Body Structure
| Type | Description |
|---|---|
Array | List of AP Nexus Statement IDs |
curl --request GET \
--url https://ap.replace-me.example.com/statement/nexus/ids \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/statement/nexus/ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/statement/nexus/ids"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
123
]Authorizations
Token returned by POST /authenticate. Expires after 60 minutes of inactivity.
Query Parameters
EnergyWatch account identifier
EnergyWatch client node identifier
The invoice total
EnergyWatch Control Code identifier for PDFs
Name of the integration package
Budget overage notes
An invoice date
A due date
Notes
Period for the invoice in (where day is always 01)
The invoice number
Property code
The total shipping amount for the invoice
EnergyWatch statement identifier
Available values : ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED
ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED Status message
The total tax amount for the invoice
Value for a custom field
Value for a custom field
Value for a custom field
Value for a custom field
Value for a custom field
Value for a custom field
Value for a custom field
Value for a custom field
The username of the user who will be considered the creator of the invoice
Energywatch universally unique identifier
Vendor code
Response
Successful response

